Package org.gitana.platform.client.application

# Class RegistrationImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.application.AbstractApplicationDocumentImpl
org.gitana.platform.client.application.RegistrationImpl

All Implemented Interfaces:
  `Serializable`, `ApplicationDocument`, `Registration`, `Document`, `PlatformDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class RegistrationImpl extends AbstractApplicationDocumentImpl implements Registration

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.application.Registration

`FIELD_ACTIVE, FIELD_ADDONS, FIELD_COMPLETED, FIELD_COMPLETED_PRINCIPAL_ID, FIELD_COMPLETED_TENANT_ID, FIELD_CONFIRMATION_SENT, FIELD_DISCOUNTS, FIELD_EMAIL_PROVIDER_ID, FIELD_EMAILS, FIELD_PAYMENT_METHOD_ID, FIELD_SIGNUP_PROPERTIES, FIELD_TENANT_DESCRIPTION, FIELD_TENANT_PLAN_KEY, FIELD_TENANT_REGISTRAR_ID, FIELD_TENANT_TITLE, FIELD_USER_DOMAIN_ID, FIELD_USER_EMAIL, FIELD_USER_NAME, FIELD_USER_PROPERTIES`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`RegistrationImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`confirm(String newUserPassword)`
`void`
`confirm(String newUserPassword, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)`
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`boolean`
`getActive()`
`List<String>`
`getAddons()`
`boolean`
`getCompleted()`
`String`
`getCompletedPrincipalId()`
`String`
`getCompletedTenantId()`
`boolean`
`getConfirmationSent()`
`List<String>`
`getDiscounts()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getEmailConfiguration(String emailKey)`
`String`
`getEmailProviderId()`
`String`
`getPaymentMethodId()`
`String`
`getResourceUri()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getSignupProperties()`
`String`
`getTenantDescription()`
`String`
`getTenantPlanKey()`
`String`
`getTenantRegistrarId()`
`String`
`getTenantTitle()`
`String`
`getTypeId()`
`String`
`getUserDomainId()`
`String`
`getUserEmail()`
`String`
`getUserName()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getUserProperties()`
`protected void`
`initRegistration()`
`void`
`reload()`
Reload
`void`
`sendConfirmationEmail()`
`void`
`sendWelcomeEmail()`
`void`
`setActive(boolean active)`
`void`
`setAddons(List<String> addons)`
`void`
`setCompleted(boolean completed)`
`void`
`setCompletedPrincipalId(String completedPrincipalId)`
`void`
`setCompletedTenantId(String completedTenantId)`
`void`
`setConfirmationSent(boolean confirmationSent)`
`void`
`setDiscounts(List<String> discounts)`
`void`
`setEmailConfiguration(String emailKey, com.fasterxml.jackson.databind.node.ObjectNode email)`
`void`
`setEmailProviderId(String emailProviderId)`
`void`
`setPaymentMethodId(String paymentMethodId)`
`void`
`setSignupProperties(com.fasterxml.jackson.databind.node.ObjectNode signupProperties)`
`void`
`setTenantDescription(String description)`
`void`
`setTenantPlanKey(String tenantPlanKey)`
`void`
`setTenantRegistrarId(String tenantRegistrarId)`
`void`
`setTenantTitle(String title)`
`void`
`setUserDomainId(String userDomainId)`
`void`
`setUserEmail(String userEmail)`
`void`
`setUserName(String username)`
`void`
`setUserProperties(com.fasterxml.jackson.databind.node.ObjectNode userProperties)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.application.AbstractApplicationDocumentImpl

`getApplication, getApplicationId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.application.ApplicationDocument

`getApplication, getApplicationId`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### RegistrationImpl

public RegistrationImpl(Application application, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### initRegistration

protected void initRegistration()

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### getUserEmail

public String getUserEmail()

Specified by:
  `getUserEmail` in interface `Registration`

### setUserEmail

public void setUserEmail(String userEmail)

Specified by:
  `setUserEmail` in interface `Registration`

### getUserName

public String getUserName()

Specified by:
  `getUserName` in interface `Registration`

### setUserName

public void setUserName(String username)

Specified by:
  `setUserName` in interface `Registration`

### setUserDomainId

public void setUserDomainId(String userDomainId)

Specified by:
  `setUserDomainId` in interface `Registration`

### getUserDomainId

public String getUserDomainId()

Specified by:
  `getUserDomainId` in interface `Registration`

### setUserProperties

public void setUserProperties(com.fasterxml.jackson.databind.node.ObjectNode userProperties)

Specified by:
  `setUserProperties` in interface `Registration`

### getUserProperties

public com.fasterxml.jackson.databind.node.ObjectNode getUserProperties()

Specified by:
  `getUserProperties` in interface `Registration`

### setSignupProperties

public void setSignupProperties(com.fasterxml.jackson.databind.node.ObjectNode signupProperties)

Specified by:
  `setSignupProperties` in interface `Registration`

### getSignupProperties

public com.fasterxml.jackson.databind.node.ObjectNode getSignupProperties()

Specified by:
  `getSignupProperties` in interface `Registration`

### setTenantTitle

public void setTenantTitle(String title)

Specified by:
  `setTenantTitle` in interface `Registration`

### getTenantTitle

public String getTenantTitle()

Specified by:
  `getTenantTitle` in interface `Registration`

### setTenantDescription

public void setTenantDescription(String description)

Specified by:
  `setTenantDescription` in interface `Registration`

### getTenantDescription

public String getTenantDescription()

Specified by:
  `getTenantDescription` in interface `Registration`

### getTenantPlanKey

public String getTenantPlanKey()

Specified by:
  `getTenantPlanKey` in interface `Registration`

### setTenantPlanKey

public void setTenantPlanKey(String tenantPlanKey)

Specified by:
  `setTenantPlanKey` in interface `Registration`

### setTenantRegistrarId

public void setTenantRegistrarId(String tenantRegistrarId)

Specified by:
  `setTenantRegistrarId` in interface `Registration`

### getTenantRegistrarId

public String getTenantRegistrarId()

Specified by:
  `getTenantRegistrarId` in interface `Registration`

### setConfirmationSent

public void setConfirmationSent(boolean confirmationSent)

Specified by:
  `setConfirmationSent` in interface `Registration`

### getConfirmationSent

public boolean getConfirmationSent()

Specified by:
  `getConfirmationSent` in interface `Registration`

### setCompleted

public void setCompleted(boolean completed)

Specified by:
  `setCompleted` in interface `Registration`

### getCompleted

public boolean getCompleted()

Specified by:
  `getCompleted` in interface `Registration`

### getCompletedPrincipalId

public String getCompletedPrincipalId()

Specified by:
  `getCompletedPrincipalId` in interface `Registration`

### setCompletedPrincipalId

public void setCompletedPrincipalId(String completedPrincipalId)

Specified by:
  `setCompletedPrincipalId` in interface `Registration`

### getCompletedTenantId

public String getCompletedTenantId()

Specified by:
  `getCompletedTenantId` in interface `Registration`

### setCompletedTenantId

public void setCompletedTenantId(String completedTenantId)

Specified by:
  `setCompletedTenantId` in interface `Registration`

### getEmailConfiguration

public com.fasterxml.jackson.databind.node.ObjectNode getEmailConfiguration(String emailKey)

Specified by:
  `getEmailConfiguration` in interface `Registration`

### setEmailConfiguration

public void setEmailConfiguration(String emailKey, com.fasterxml.jackson.databind.node.ObjectNode email)

Specified by:
  `setEmailConfiguration` in interface `Registration`

### getEmailProviderId

public String getEmailProviderId()

Specified by:
  `getEmailProviderId` in interface `Registration`

### setEmailProviderId

public void setEmailProviderId(String emailProviderId)

Specified by:
  `setEmailProviderId` in interface `Registration`

### getPaymentMethodId

public String getPaymentMethodId()

Specified by:
  `getPaymentMethodId` in interface `Registration`

### setPaymentMethodId

public void setPaymentMethodId(String paymentMethodId)

Specified by:
  `setPaymentMethodId` in interface `Registration`

### sendConfirmationEmail

public void sendConfirmationEmail()

Specified by:
  `sendConfirmationEmail` in interface `Registration`

### sendWelcomeEmail

public void sendWelcomeEmail()

Specified by:
  `sendWelcomeEmail` in interface `Registration`

### confirm

public void confirm(String newUserPassword)

Specified by:
  `confirm` in interface `Registration`

### confirm

public void confirm(String newUserPassword, com.fasterxml.jackson.databind.node.ObjectNode paymentMethodObject)

Specified by:
  `confirm` in interface `Registration`

### getDiscounts

public List<String> getDiscounts()

Specified by:
  `getDiscounts` in interface `Registration`

### setDiscounts

public void setDiscounts(List<String> discounts)

Specified by:
  `setDiscounts` in interface `Registration`

### getAddons

public List<String> getAddons()

Specified by:
  `getAddons` in interface `Registration`

### setAddons

public void setAddons(List<String> addons)

Specified by:
  `setAddons` in interface `Registration`

### getActive

public boolean getActive()

Specified by:
  `getActive` in interface `Registration`

### setActive

public void setActive(boolean active)

Specified by:
  `setActive` in interface `Registration`